<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FB5CA3"
    android:orientation="vertical"
    tools:context=".ui.activity.promote.PromoteActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:gravity="center"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="12dp"
            android:src="@mipmap/icon_back_white" />

        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <TextView
            android:id="@+id/tv_detail"
            android:layout_width="wrap_content"
            android:layout_height="40dp"
            android:layout_marginRight="20dp"
            android:gravity="center"
            android:text="推广明细"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:textStyle="bold" />
    </LinearLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/bg_promote">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tv_coin"
                android:layout_width="wrap_content"
                android:layout_height="75dp"
                android:text="0"
                android:textColor="#ffffffff"
                android:textSize="54sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="20dp"
                android:text="营销奖励"
                android:textColor="#ffffffff"
                android:textSize="14sp" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginTop="17dp"
                android:layout_marginRight="20dp"
                android:layout_marginBottom="25dp"
                android:background="@drawable/bg_promote_content"
                android:gravity="top|center"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tv_withdraw"
                        android:layout_width="wrap_content"
                        android:layout_height="42dp"
                        android:gravity="center"
                        android:text="申请提现"
                        android:textColor="#ff3d1f1f"
                        android:textSize="16sp"
                        android:textStyle="bold" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="20dp"
                        android:layout_marginLeft="36dp"
                        android:layout_marginRight="36dp"
                        android:background="#14000000" />

                    <TextView
                        android:id="@+id/tv_transfer"
                        android:layout_width="wrap_content"
                        android:layout_height="42dp"
                        android:gravity="center"
                        android:text="转到模币"
                        android:textColor="#ff3d1f1f"
                        android:textSize="16sp"
                        android:textStyle="bold" />
                </LinearLayout>

                <ImageButton
                    android:id="@+id/btn_invite"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="60dp"
                    android:background="#00000000"
                    android:src="@mipmap/btu_yaoqing" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="22dp"
                    android:layout_marginTop="113dp"
                    android:text="分享奖励规则"
                    android:textColor="#ffffffff"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginRight="15dp"
                    android:layout_marginBottom="15dp"
                    android:text="1:所有用户都可参与推广奖励\n2:通过分享自己的专属“推广链接”或“二维码”下载千模通告及注册的用户，才算做“我的推广用户”\n3:用户充值分成比例为10%\n4:分成金额可用于提现或兑换服务"
                    android:textColor="#ffffffff"
                    android:textSize="13sp" />
            </LinearLayout>
        </LinearLayout>
    </ScrollView>
</LinearLayout>